Subject: Study visit
From: Jämsä Jurkka (OM) <[email-masked]>
To: "Justiits- ja Digiministeerium" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Wed, 11 Feb 2026 10:11:44 +0200

Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.

Dear Sir or Madam,

I hope this message finds you well.

I am writing on behalf of the Ministry of Justice of Finland. Together
with the Ministry of the Interior and several Finnish authorities, we are
currently exploring the possibility of applying for an NB8-Grant (
<https://www.nb8grants.org/> Home - NB8-Grants) to organise a study visit
focused on learning about court information systems in the Baltic states
as well as other relevant information systems related to them. We would
also be interested in visiting EU-LISA which, as I understand, would be
possible under the terms of the grants.

In line with section 8 of the NB8-Grant Guidelines, I would like to kindly
inquire which organisations in your country we might contact as potential
host institutions for such a visit. Any preliminary guidance or points of
contact you could provide would be greatly appreciated and would assist us
in preparing our application.

Thank you very much in advance for your time and assistance. Please do not
hesitate to contact me if you require any further information.

Kind regards,

Jurkka Jämsä (Mr.)

Senior specialist, LL.D.

tel. +358 (0)2951 50281

 <mailto:[email-masked]> [email-masked]

Department for Criminal Policy and Criminal Law

Criminal Procedure Unit